#include "ClientCore.h"

ClientCore::ClientCore()
{
    socket_ = std::make_shared<wxSocketClient>();
}

bool ClientCore::Connect(const wxString& host, uint16_t port)
{
    wxIPV4address addr;
    addr.Hostname(host);
    addr.Service(port);

    socket_->SetEventHandler(*this, wxID_ANY);
    socket_->SetNotify(wxSOCKET_CONNECTION_FLAG | wxSOCKET_INPUT_FLAG | wxSOCKET_LOST_FLAG);
    socket_->Notify(true);

    if (!socket_->Connect(addr)) {
        return false;
    }

    return false;
}

void ClientCore::Disconnect()
{
}

bool ClientCore::GetOnlineList(InfoClientVec& infoClientVec)
{
    return false;
}

bool ClientCore::AskDirectory(const wxString& id, const wxString& path, DirFileInfoVec& dirInfoVec)
{
    return false;
}

void ClientCore::OnSocketEvent(wxSocketEvent& event)
{
    switch (event.GetSocketEvent()) {
    case wxSOCKET_CONNECTION: {
        break;
    }
    case wxSOCKET_INPUT: {
        break;
    }
    case wxSOCKET_LOST: {
        break;
    }
    default:
        break;
    }
}
