#include "RelayServer.h"

int main()
{
    wxInitializer initializer;
    if (!initializer.IsOk()) {
        fprintf(stderr, "Failed to initialize the wxWidgets library, aborting.");
        return -1;
    }
    auto server_ = std::make_unique<RemoteServer>();
    if (server_->Init("127.0.0.1", 8080)) {
        server_->Run();
    }
    return 0;
}