#include "OnLineControl.h"

OnlineControl::OnlineControl(wxWindow* parent) : wxPanel(parent)
{
    Init();
}

OnlineControl::~OnlineControl()
{
}

void OnlineControl::Init()
{
    lbCurState_ = new wxStaticText(this, wxID_ANY, _("Current State => "));
    elbCurState_ = new wxStaticText(this, wxID_ANY, _("Disconnected"));
    elbCurState_->SetForegroundColour(*wxBLUE);
    onLineList_ = new wxListBox(this, wxID_ANY);

    lbCurPoint_ = new wxStaticText(this, wxID_ANY, _("Commnunicate Point => "));
    elbCurPoint_ = new wxStaticText(this, wxID_ANY, _("None"));
    elbCurPoint_->SetForegroundColour(*wxBLUE);

    auto* leveSizerA = new wxBoxSizer(wxHORIZONTAL);
    leveSizerA->Add(lbCurState_, 0, wxEXPAND | wxALL, gBorder + 1);
    leveSizerA->Add(elbCurState_, 0, wxEXPAND | wxALL, gBorder + 1);

    auto* topSizer = new wxBoxSizer(wxVERTICAL);
    topSizer->Add(leveSizerA, 0, wxEXPAND | wxALL, gBorder + 1);
    topSizer->Add(lbCurPoint_, 0, wxEXPAND | wxALL, gBorder + 1);
    topSizer->Add(elbCurPoint_, 0, wxEXPAND | wxALL, gBorder + 1);
    topSizer->Add(onLineList_, 1, wxEXPAND | wxALL, gBorder + 1);
    SetSizer(topSizer);
    Layout();
}
